Loading...
Searching...
No Matches
mongo_packet Struct Reference

An opaque Mongo Packet on the wire. More...

Collaboration diagram for mongo_packet:
[legend]

## Data Fields

mongo_packet_header | header
| The packet header.
guint8 * | data
| The actual data of the packet.
gint32 | data_size
| Size of the data payload.

## Detailed Description

An opaque Mongo Packet on the wire.

A MongoDB command, as it appears on the wire.

For the sake of clarity, and sanity of the library, the header and data parts are stored separately, and as such, will need to be sent separately aswell.

This structure contains the binary data that can be written straight to the wire.